Get record
curl --request GET \
--url https://yys-sqr-render-bsbe.onrender.com/api/records/{wm_id}import requests
url = "https://yys-sqr-render-bsbe.onrender.com/api/records/{wm_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://yys-sqr-render-bsbe.onrender.com/api/records/{wm_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"watermark_id": "SQR-A1B2C",
"template_id": "pharma",
"claim_status": "unclaimed",
"description": "<string>",
"record_metadata": {
"product_name": "Aspirin",
"dosage": "100mg"
},
"image_url": "<string>",
"watermarked_image_url": "<string>",
"scan_count": 0,
"nft_token_id": 123,
"mint_transaction_hash": "<string>",
"owner_address": "<string>",
"claimed_by": "<string>",
"claim_transaction_hash": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"minted_at": "2023-11-07T05:31:56Z",
"claimed_at": "2023-11-07T05:31:56Z"
}{
"error": "Not found"
}Records
Get record
Retrieve a single record by its watermark ID. This endpoint is public.
GET
/
api
/
records
/
{wm_id}
Get record
curl --request GET \
--url https://yys-sqr-render-bsbe.onrender.com/api/records/{wm_id}import requests
url = "https://yys-sqr-render-bsbe.onrender.com/api/records/{wm_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://yys-sqr-render-bsbe.onrender.com/api/records/{wm_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"watermark_id": "SQR-A1B2C",
"template_id": "pharma",
"claim_status": "unclaimed",
"description": "<string>",
"record_metadata": {
"product_name": "Aspirin",
"dosage": "100mg"
},
"image_url": "<string>",
"watermarked_image_url": "<string>",
"scan_count": 0,
"nft_token_id": 123,
"mint_transaction_hash": "<string>",
"owner_address": "<string>",
"claimed_by": "<string>",
"claim_transaction_hash": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"minted_at": "2023-11-07T05:31:56Z",
"claimed_at": "2023-11-07T05:31:56Z"
}{
"error": "Not found"
}Path Parameters
Response
Record detail
Example:
"SQR-A1B2C"
Example:
"pharma"
Available options:
unclaimed, minted, claimed Example:
"unclaimed"
Show child attributes
Show child attributes
Example:
{
"product_name": "Aspirin",
"dosage": "100mg"
}
Example:
0

